Skip to main content
GET
/
versions
/
{version_id}
Get Version
curl --request GET \
  --url https://api.example.com/versions/{version_id}
{
  "acp_type": "sync",
  "author_email": "<string>",
  "author_name": "<string>",
  "branch_id": "<string>",
  "deployed_at": "2023-11-07T05:31:56Z",
  "git_branch": "<string>",
  "git_hash": "<string>",
  "id": "<string>",
  "image_url": "<string>",
  "sdk_type": "claude_agent_sdk",
  "status": "DEPLOYING",
  "created_at": "2023-11-07T05:31:56Z",
  "failure_diagnostics": {},
  "failure_reason": "<string>",
  "git_message": "",
  "image_expires_at": "2023-11-07T05:31:56Z",
  "is_dirty": false,
  "last_rollback_at": "2023-11-07T05:31:56Z",
  "replicas": 0,
  "retired_at": "2023-11-07T05:31:56Z",
  "rollback_count": 0,
  "rolled_back_at": "2023-11-07T05:31:56Z",
  "source_filesystem_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version_id
string
required

Response

Successful Response

Full version details.

acp_type
enum<string>
required

Type of ACP server (sync or async)

Available options:
sync,
async
author_email
string
required

Commit author email

author_name
string
required

Commit author name

branch_id
string
required

Parent branch ID

deployed_at
string<date-time>
required

When this version was deployed

git_branch
string
required

Git branch name

git_hash
string
required

Git commit hash

id
string
required

Version ID

image_url
string
required

Container image URL

sdk_type
enum<string>
required

SDK type for agent runtime

Available options:
claude_agent_sdk,
codex_agent_sdk
status
enum<string>
required

Version lifecycle status

Available options:
DEPLOYING,
ACTIVE,
FAILED,
UNHEALTHY,
DRAINING,
RETIRED,
ROLLED_BACK
created_at
string<date-time> | null

Creation timestamp

failure_diagnostics
Failure Diagnostics · object

User-facing failure diagnostics with 'title', 'description', and 'action' fields

failure_reason
string | null

Classified failure reason when status is FAILED (e.g., 'image_pull_failed', 'crash_loop', 'scheduling_failed')

git_message
string
default:""

Git commit message

image_expires_at
string<date-time> | null

When image expires (for rollback window)

is_dirty
boolean
default:false

Whether the commit had uncommitted changes

last_rollback_at
string<date-time> | null

Timestamp when this version was last rolled back TO

replicas
integer
default:0

Current pod count for this version

retired_at
string<date-time> | null

When version was retired

rollback_count
integer
default:0

Number of rollbacks to this version

rolled_back_at
string<date-time> | null

Timestamp when this version was rolled back FROM

source_filesystem_id
string | null

Filesystem snapshot that can reopen this version in Agent Builder

updated_at
string<date-time> | null

Last update timestamp